jQuery(document).ready(function($){

    $('button#bpafp-add-new-condition').on('click', function (e) {
        e.preventDefault();
        var cloneData = $( 'div.bpafp-attached-condition:first-child' ).clone();

        cloneData.find('input.bpafp-condition-values').val('');

        if ( ! cloneData.find( 'span.bpafp-remove-condition' ).length ) {
            cloneData.append('<span class="bpafp-remove-condition">x</span>');
        }

        $( cloneData ).appendTo( $( 'div.bpafp-attached-conditions-wrap' ) );

        return false;
    });

    $('div.bpafp-attached-conditions-wrap').on('click', 'span.bpafp-remove-condition', function(){

        if ( $('span.bpafp-remove-condition').length == 1 ) {
            var $parent = $(this).parents('div.bpafp-attached-condition');

            $parent.find('select option[value=""]').attr('selected',true);
            $parent.find('input').val('');

            return;
        }

        $(this).parent().remove();
    });

    var $attachedMembers = $('ul#bpafp-attached-members');
    var listTemplate     = _.template('<li class="vcard"><input type="hidden" value="<%= id %>" name="bpafp-attached-members[]" /><div class="item-avatar"><%= avatar %></div><div class="item"><div class="item-title fn"><a target="_blank" href="<%= url %>"><%= name %></a></div></div><span title="Remove" class="bpafp-remove-member">x</span></li>');

    $('#bpafp-members-autocomplete').autocomplete({
        source: function(req, add){
            // pass request to server
            $.post(
                ajaxurl,
                {
                    action:     'bpafp_get_members',
                    q:           req.term,
                    _ajax_nonce: BPAFP.nonce,
                },
                function(resp) {
                    add(resp.data);
                },
                'json'
            );
        },
        select: function(e, ui) {
            $attachedMembers.append(listTemplate({id: ui.item.id, name: ui.item.label, url: ui.item.url, avatar: ui.item.icon}));

            this.value='';
            return false;// do not update input box
        },
        open: function(e, ui) {

        },
        change: function(e, ui) {
        }
    });

    //remove
    $attachedMembers.on( 'click', 'span.bpafp-remove-member', function() {
        $(this).parents('li').remove();

        return false;
    });

    $('.bpafp-user-autocomplete').autocomplete({
        source: function(req, add){
            // pass request to server
            $.post(
                ajaxurl,
                {
                    action:     'bpafp_get_members',
                    q:           req.term,
                    _ajax_nonce: BPAFP.nonce,
                },
                function(resp) {
                    add(resp.data);
                },
                'json'
            );
        },
        select: function(e, ui) {
            $(this).parents('p').find('.bpafp-selected-user-id').val(ui.item.id);
        }
    });

    $('#bpafp-enable-hard-sync').click(function () {
        var $this = $(this);

        if ($this.is(':checked')) {
            $('#bpafp-sync-friends').data('hardSync', 1);
        } else {
            $('#bpafp-sync-friends').data('hardSync', 0);
        }
    });

    $('div.bpafp-sync-friends-section').on( 'click', '.bpafp-sync-friends', function(e) {
        e.preventDefault();

        var $elem = $(this);

        $elem.attr('disabled', 'disabled');
        $elem.find('span.loading').show();

        bpafpPostRequest( $elem );

        return false;
    } );

    function bpafpPostRequest( $elem ) {

        var $wrapper = $('div.bpafp-sync-friends-section');
        var $statusList = $wrapper.find('ul#bpafp-sync-status').show();

        /*if (BPAJG.remaining_users == 0) {
            $elem.removeAttr('disabled');
            $elem.find('span.loading').hide();
            return;
        }*/

        $.post(
            BPAFP.ajaxurl,
            {
                action: 'bpafp_sync_friends',
                list_id: $elem.data('listId'),
                hard_sync: $elem.data('hardSync'),
                _wpnonce: $elem.data('nonce')
            },
            function ( resp ) {
                if ( ! resp.success || parseInt( resp.data.remaining, 10 ) == 0 ) {
                    $elem.removeAttr('disabled');
                    $elem.find('span.loading').hide();
                }
                // if error, return.
                if (!resp.success) {
                    alert(resp.data);
                    return;
                }

                $statusList.find('span#bpafp-processed').text(resp.data.processed);
                $statusList.find('span#bpafp-skipped').text(resp.data.skipped);
                $statusList.find('span#bpafp-remaining').text(resp.data.remaining);

                if (parseInt(resp.data.remaining, 10) > 0) {
                    bpafpPostRequest($elem);
                }
            }
        );
    }
});