<?php
/**
 * Plugin row help links.
 *
 * @package    BuddyPress_Auto_Friendship_Pro
 * @subpackage Admin
 * @copyright  Copyright (c) 2022, Brajesh Singh
 * @license    https://www.gnu.org/licenses/gpl.html GNU Public License
 * @author     Ravi Sharma, Brajesh Singh
 * @since      1.0.0
 */

/**
 * Adds View docs & Forms on plugin row on plugins screen
 *
 * @param array $actions links to be shown in the plugin list context.
 *
 * @return array
 */
function bpafp_admin_plugin_action_links( $actions ) {

	$actions['bpafp-settings'] = sprintf( '<a href="%1$s" title="%2$s">%3$s</a>', admin_url( 'options-general.php?page=bp-auto-friendship-settings' ), __( 'Settings', 'buddypress-auto-friendship-pro' ), __( 'Settings', 'buddypress-auto-friendship-pro' ) );
	$actions['bpafp-auto-friend-list'] = sprintf( '<a href="%1$s" title="%2$s">%2$s</a>', admin_url( 'edit.php?post_type=bpafp' ), _x( 'Auto Friend Lists', 'plugin row link label', 'buddypress-auto-friendship-pro' ) );
	$actions['bpafp-tools']    = sprintf( '<a href="%1$s" title="%2$s">%3$s</a>', admin_url( 'tools.php?page=bp-auto-friendship' ), __( 'Tools', 'buddypress-auto-friendship-pro' ), __( 'Tools', 'buddypress-auto-friendship-pro' ) );
	$actions['bpafp-docs']     = sprintf( '<a href="%1$s" title="%2$s" target="_blank">%2$s</a>', 'https://buddydev.com/docs/buddypress-auto-friendship-pro/', _x( 'Documentation', 'plugin row link label', 'buddypress-auto-friendship-pro' ) );

	return $actions;
}
add_filter( 'plugin_action_links_' . bp_auto_friendship_pro()->basename, 'bpafp_admin_plugin_action_links' );
