<?php
/**
 * BuddyPress Auto Friendship Pro Admin Loader
 *
 * @package    BuddyPress_Auto_Friendship_Pro
 * @subpackage Admin
 * @copyright  Copyright (c) 2020, Brajesh Singh
 * @license    https://www.gnu.org/licenses/gpl.html GNU Public License
 * @author     Ravi Sharma, Brajesh Singh
 * @since      1.0.0
 */

namespace BuddyPress_Auto_Friendship_Pro\Admin;

// Exit if accessed directly.
defined( 'ABSPATH' ) || exit;

/**
 * Class BPAFP_Admin_Loader
 */
class BPAFP_Admin_Loader {

	/**
	 * Class bootstrapper
	 */
	public static function boot() {
		$self = new self();

		$self->setup();
	}

	/**
	 * Other class initialization
	 */
	private function setup() {
		require_once bp_auto_friendship_pro()->path . 'src/admin/pt-settings/pt-settings-loader.php';
		require_once bp_auto_friendship_pro()->path . 'src/admin/bpafp-admin-misc.php';

		Admin_Settings::boot();

		BPAFP_Admin_Tools_Helper::boot();
		BPAFP_Admin_Filters::boot();
		Friendship_List_Clone_Admin_Helper::boot( bpafp_get_list_post_type() );
	}
}