<?php
/**
 * Group functions.
 *
 * @package    BuddyPress_Auto_Friendship_Pro
 * @copyright  Copyright (c) 2022, Brajesh Singh
 * @license    https://www.gnu.org/licenses/gpl.html GNU Public License
 * @author     Ravi Sharma, Brajesh Singh
 * @since      1.0.0
 */

// Exit if accessed directly.
defined( 'ABSPATH' ) || exit;

/**
 * Retrieves connect with options
 *
 * @return array
 */
function bpafp_group_get_connect_with_options() {
	return array(
		'all'        => __( 'All Members( including admins, moderators )', 'buddypress-auto-friendship-pro' ),
		'members'    => __( 'Only Group Members( excluding admins, moderators )', 'buddypress-auto-friendship-pro' ),
		'moderators' => __( 'Group Moderators', 'buddypress-auto-friendship-pro' ),
		'admins'     => __( 'Group Admins', 'buddypress-auto-friendship-pro' ),
	);
}
