<?php
/**
 * Group Admin Settings Pages Helper.
 *
 * @package    BuddyPress_Auto_Friendship_Pro
 * @subpackage Admin
 * @copyright  Copyright (c) 2022, Brajesh Singh
 * @license    https://www.gnu.org/licenses/gpl.html GNU Public License
 * @author     Ravi Sharma, Brajesh Singh
 * @since      1.0.0
 */

namespace BuddyPress_Auto_Friendship_Pro\Modules\Groups;

// Do not allow direct access over web.
defined( 'ABSPATH' ) || exit;

/**
 * Group Module loader class
 */
class Group_Module_Loader {

	/**
	 * Boots group module
	 */
	public static function boot() {

		require_once bp_auto_friendship_pro()->path . 'src/modules/groups/bpafg-group-functions.php';

		if ( is_admin() && ! wp_doing_ajax() ) {
			Group_Admin_Settings::boot();
		}

		Group_Actions_Handler::boot();
	}
}
